---
sidebar_position: 12
---


# Popup Panel

### Overview

A popup is a temporary UI element that overlays the main content to provide additional information or options to the user.

|![Popup overview exit](../img/05-main-scene/popup-disconnet.png)|![Popup overview disconnect](../img/05-main-scene/popup-exit-game.png)|![Popup overview disconnect](../img/05-main-scene/popup-credit-game.png)|
|---------------------------------------------------------------|---------------------------------------------------------------------|---------------------------------------------------------------------|


## Multiple Popup Panel
The popup panel is already integrated into the main scenes `template-main-game`.

![Popup In Game](../img/05-main-scene/popup-panel-in-game.png)       

 Detail configuring:

#### Base Setting

:::info
![Popup Position](../img/05-main-scene/popup-multi.png) 

To use the Multiple Popup layout, reference target `hyper-multiple-popup.prefab` in core:   

**Path**    : *assets/core-assets/hyper-core/packages/popup-panel/prefabs/hyper-multiple-popup.prefab*        
:::

## Manual Popup Panel

:::info
-  This popup is self-configured using shared textures and layout structure.
-  The color theme and style may vary depending on the game design.         
-  Note: **Exit Game** Popup only in **Desktop**.
:::

#### Pack Assets

- *Prepare asset to pack*.

🔗 Click here to follow the setup pack assets: [Here](http://localhost:3000/docs/category/game-asset-structure)   

|                    Path         |                     Example                         |
|---------------------------------|-----------------------------------------------------|
|`assets\game-assets\textures\desktop\preloads\main-game\exit`|![Exit Game Popup In Game](../img/05-main-scene/exit-popup-game.png)|

- Structure prefabs:

![Exit Game Popup In Game](../img/05-main-scene/popup-exit-in-game.png)

- Manually drag and drop the image onto the node:

![Exit Game Popup In Game](../img/05-main-scene/popup-draw.png)

**Preview Result**:         
![Popup overview exit](../img/05-main-scene/popup-exit-game.png)

---